Debian Bug report logs - #652826
logkeys: missing dependency on kbd | console-tools

version graph

Package: logkeys; Maintainer for logkeys is Vedran Furač <vedran.furac@gmail.com>; Source for logkeys is src:logkeys.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 20 Dec 2011 18:15:01 UTC

Severity: serious

Found in version logkeys/0.1.0-1

Fixed in version logkeys/0.1.1a-3

Done: Vedran Furač <vedran.furac@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Tue, 20 Dec 2011 18:15:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: logkeys: missing dependency on kbd | console-tools
Date: Tue, 20 Dec 2011 19:13:30 +0100
Package: logkeys
Version: 0.1.0-1
Severity: serious
Justification: 3.5

logkeys relies on dumpkeys output, but it doesn't depend on anything 
that'd provide the /usr/bin/dumpkeys binary.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Sat, 31 Dec 2011 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to vedran.furac@gmail.com:
Extra info received and forwarded to list. Copy sent to Vedran Furač <vedran.furac@gmail.com>. (Sat, 31 Dec 2011 17:18:04 GMT) Full text and rfc822 format available.

Message #8 received at 652826@bugs.debian.org (full text, mbox):

From: Vedran Furač <vedran.furac@gmail.com>
To: Jakub Wilk <jwilk@debian.org>
Cc: 652826@bugs.debian.org
Subject: Re: Bug#652826: logkeys: missing dependency on kbd | console-tools
Date: Sat, 31 Dec 2011 18:14:33 +0100
[Message part 1 (text/plain, inline)]
On 20.12.2011 19:13, Jakub Wilk wrote:

> logkeys relies on dumpkeys output, but it doesn't depend on anything 
> that'd provide the /usr/bin/dumpkeys binary.

Hey, since you're DD, and I am not, would you be so kind and sponsor the
upload?

Regards,
Vedran
[vedran_furac.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Thu, 12 Jan 2012 10:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Vedran Furač <vedran.furac@gmail.com>. (Thu, 12 Jan 2012 10:24:17 GMT) Full text and rfc822 format available.

Message #13 received at 652826@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: Helmut Grohne <helmut@subdivi.de>
Cc: debian-mentors@lists.debian.org, 624991@bugs.debian.org, 652826@bugs.debian.org
Subject: Re: RFS: logkeys (fixing RC bugs)
Date: Thu, 12 Jan 2012 11:21:50 +0100
tags 624991 +pending
thanks

Hi!

Am 12.01.2012 10:33, schrieb Helmut Grohne:

> The current unstable package has:
>  * 1 lintian error
>  * 2 lintian warnings
>  * 2 RC bugs (FTBFS and missing dep)
>  * out of date standards version
> 
> The upload above fixes a non-rc bug, it also seems to solve the FTBFS
> without mentioning in the changelog.

FWIW:  It is mentioned in the changelog entry for 0.1.1a-1.  Not sure if
the -2 upload to mentors was build without -v or if mentors just ignored it.

Regarding the other RC bug (#652826):  Fix seems to be trivial.


> I'd say it is very high time to act on this package. Options are:
>  * Upload the version on mentors.
>  * Explain why the mentors version is unsuitable and upload the NMU
>    debdiff attached to #624991 fixing the FTBFS.
>  * File a removal request since noone is willing to sponsor this package
>    at all.
> In any case you can polish your RCBW statistics.

Apparently the maintainer tries it's best (well, could have tagged the
one bug pending), so I see no point in an NMU or a removal.  So to
answer his question in #652826:

> Hey, since you're DD, and I am not, would you be so kind and sponsor the
> upload?

I am and I would be willing.  Could you please provide a package also
fixing that RC bug?

I'll upload it as soon as I could test it, however so far logkeys fails
for me with the following error message:

$ sudo /etc/init.d/logkeys start
Starting logkeys: /usr/bin/logkeys: LC_CTYPE locale must be of UTF-8 type


However, I do have such a locale:
$ locale|grep LC_CTYPE
LC_CTYPE="de_DE.UTF-8"


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Thu, 12 Jan 2012 11:21:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Vedran Furač <vedran.furac@gmail.com>. (Thu, 12 Jan 2012 11:21:42 GMT) Full text and rfc822 format available.

Message #18 received at 652826@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: 624991@bugs.debian.org, 652826@bugs.debian.org
Subject: Re: Bug#624991: RFS: logkeys (fixing RC bugs)
Date: Thu, 12 Jan 2012 12:18:43 +0100
clone 624991 -1
severity -1 important
retitle -1 Fails if only german utf-8 locale is available
thanks

Hi again!

* Alexander Reichle-Schmehl <alexander@schmehl.info> [120112 11:21]:

> $ sudo /etc/init.d/logkeys start
> Starting logkeys: /usr/bin/logkeys: LC_CTYPE locale must be of UTF-8 type
> 
> However, I do have such a locale:
> $ locale|grep LC_CTYPE
> LC_CTYPE="de_DE.UTF-8"

I got logkeys running, and am willing to sponsor it, once 652826 is
fixed.  But I think I found a bug:

As told I failed for me with the error message above.

Creating an additional en_US.UTF-8 locale made it work for me:

$ locale -a
C
de_DE.utf8
en_US.utf8
POSIX

logkeys start.  Removing the en_US locale again, it fails again.


I set the severity of this bug to important, as having only de_DE.utf8
is the default on new Debian installations in German (since Lenny?). I
haven't checked any other locale settings.

Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Thu, 12 Jan 2012 11:21:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to vedran.furac@gmail.com:
Extra info received and forwarded to list. Copy sent to Vedran Furač <vedran.furac@gmail.com>. (Thu, 12 Jan 2012 11:21:58 GMT) Full text and rfc822 format available.

Message #23 received at 652826@bugs.debian.org (full text, mbox):

From: Vedran Furač <vedran.furac@gmail.com>
To: Alexander Reichle-Schmehl <alexander@schmehl.info>, 652826@bugs.debian.org
Cc: Helmut Grohne <helmut@subdivi.de>, debian-mentors@lists.debian.org, 624991@bugs.debian.org
Subject: Re: Bug#652826: RFS: logkeys (fixing RC bugs)
Date: Thu, 12 Jan 2012 12:18:52 +0100
[Message part 1 (text/plain, inline)]
On 12.01.2012 11:21, Alexander Reichle-Schmehl wrote:

>> Hey, since you're DD, and I am not, would you be so kind and sponsor the
>> upload?
> 
> I am and I would be willing.  Could you please provide a package also
> fixing that RC bug?
> 
> I'll upload it as soon as I could test it, however so far logkeys fails
> for me with the following error message:

Hey, ok, I'll prepare a package this weekend and let you know.

Regards,
Vedran


-- 
http://vedranf.net | a8e7a7783ca0d460fee090cc584adc12
[vedran_furac.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Sun, 19 Feb 2012 13:13:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Vedran Furač <vedran.furac@gmail.com>. (Sun, 19 Feb 2012 13:13:37 GMT) Full text and rfc822 format available.

Message #28 received at 652826@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: vedran.furac@gmail.com, 624991@bugs.debian.org
Cc: Alexander Reichle-Schmehl <alexander@schmehl.info>, 652826@bugs.debian.org, Helmut Grohne <helmut@subdivi.de>, debian-mentors@lists.debian.org
Subject: Re: Bug#624991: Bug#652826: RFS: logkeys (fixing RC bugs)
Date: Sun, 19 Feb 2012 14:11:58 +0100
[Message part 1 (text/plain, inline)]
Hi Vedran,

On Thu, Jan 12, 2012 at 12:18:52 +0100, Vedran Furač wrote:

> On 12.01.2012 11:21, Alexander Reichle-Schmehl wrote:
> 
> >> Hey, since you're DD, and I am not, would you be so kind and sponsor the
> >> upload?
> > 
> > I am and I would be willing.  Could you please provide a package also
> > fixing that RC bug?
> > 
> > I'll upload it as soon as I could test it, however so far logkeys fails
> > for me with the following error message:
> 
> Hey, ok, I'll prepare a package this weekend and let you know.
> 
That was a month ago.  Any progress?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Wed, 22 Feb 2012 01:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to vedran.furac@gmail.com:
Extra info received and forwarded to list. Copy sent to Vedran Furač <vedran.furac@gmail.com>. (Wed, 22 Feb 2012 01:03:07 GMT) Full text and rfc822 format available.

Message #33 received at 652826@bugs.debian.org (full text, mbox):

From: Vedran Furač <vedran.furac@gmail.com>
To: Julien Cristau <jcristau@debian.org>, 652826@bugs.debian.org
Cc: 624991@bugs.debian.org, Alexander Reichle-Schmehl <alexander@schmehl.info>, Helmut Grohne <helmut@subdivi.de>, debian-mentors@lists.debian.org
Subject: Re: Bug#652826: Bug#624991: Bug#652826: RFS: logkeys (fixing RC bugs)
Date: Wed, 22 Feb 2012 01:58:38 +0100
[Message part 1 (text/plain, inline)]
On 19.02.2012 14:11, Julien Cristau wrote:

> Hi Vedran,

Hey,

> On Thu, Jan 12, 2012 at 12:18:52 +0100, Vedran Furač wrote:
> 
>> On 12.01.2012 11:21, Alexander Reichle-Schmehl wrote:
>>
>>>> Hey, since you're DD, and I am not, would you be so kind and sponsor the
>>>> upload?
>>>
>>> I am and I would be willing.  Could you please provide a package also
>>> fixing that RC bug?
>>>
>>> I'll upload it as soon as I could test it, however so far logkeys fails
>>> for me with the following error message:
>>
>> Hey, ok, I'll prepare a package this weekend and let you know.
>>
> That was a month ago.  Any progress?

Sorry for a late reply. I've made the package (I'm not sure if I
uploaded it on mentors), but I waited for Alexander's reply on:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=655564

so I can fix that one as well in a single upload. Anyway, I'll upload it
to mentors without the fix for 655564 this week.

Regards,
Vedran
[vedran_furac.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Wed, 29 Feb 2012 11:21:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to vedran.furac@gmail.com:
Extra info received and forwarded to list. Copy sent to Vedran Furač <vedran.furac@gmail.com>. (Wed, 29 Feb 2012 11:21:30 GMT) Full text and rfc822 format available.

Message #38 received at 652826@bugs.debian.org (full text, mbox):

From: Vedran Furač <vedran.furac@gmail.com>
To: Julien Cristau <jcristau@debian.org>, 652826@bugs.debian.org
Cc: 624991@bugs.debian.org, Alexander Reichle-Schmehl <alexander@schmehl.info>, Helmut Grohne <helmut@subdivi.de>, debian-mentors@lists.debian.org
Subject: Re: Bug#652826: Bug#624991: Bug#652826: RFS: logkeys (fixing RC bugs)
Date: Wed, 29 Feb 2012 12:19:03 +0100
[Message part 1 (text/plain, inline)]
On 19.02.2012 14:11, Julien Cristau wrote:

> Hi Vedran,
> 
> On Thu, Jan 12, 2012 at 12:18:52 +0100, Vedran Furač wrote:
> 
>> On 12.01.2012 11:21, Alexander Reichle-Schmehl wrote:
>>
>>>> Hey, since you're DD, and I am not, would you be so kind and sponsor the
>>>> upload?
>>>
>>> I am and I would be willing.  Could you please provide a package also
>>> fixing that RC bug?
>>>
>>> I'll upload it as soon as I could test it, however so far logkeys fails
>>> for me with the following error message:
>>
>> Hey, ok, I'll prepare a package this weekend and let you know.
>>
> That was a month ago.  Any progress?


Sorry for delay, here it is, but it needs a second pair of eyes:

http://mentors.debian.net/package/logkeys

http://mentors.debian.net/debian/pool/main/l/logkeys/logkeys_0.1.1a-3.dsc

Thanks,
Vedran
[vedran_furac.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vedran Furač <vedran.furac@gmail.com>:
Bug#652826; Package logkeys. (Sat, 03 Mar 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Vedran Furač <vedran.furac@gmail.com>. (Sat, 03 Mar 2012 21:33:03 GMT) Full text and rfc822 format available.

Message #43 received at 652826@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: vedran.furac@gmail.com, 652826@bugs.debian.org
Subject: Re: Bug#652826: Bug#624991: Bug#652826: RFS: logkeys (fixing RC bugs)
Date: Sat, 3 Mar 2012 21:31:04 +0000
[Message part 1 (text/plain, inline)]
Hi,

On Wed, Feb 29, 2012 at 12:19:03PM +0100, Vedran Furač wrote:
> Sorry for delay, here it is, but it needs a second pair of eyes:
> 
> http://mentors.debian.net/package/logkeys
> 
> http://mentors.debian.net/debian/pool/main/l/logkeys/logkeys_0.1.1a-3.dsc
> 

I sponsored your work at the Cambridge BSP; thanks for preparing good
packages.


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 21:33:09 GMT) Full text and rfc822 format available.

Reply sent to Vedran Furač <vedran.furac@gmail.com>:
You have taken responsibility. (Sat, 03 Mar 2012 23:51:08 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 23:51:08 GMT) Full text and rfc822 format available.

Message #50 received at 652826-close@bugs.debian.org (full text, mbox):

From: Vedran Furač <vedran.furac@gmail.com>
To: 652826-close@bugs.debian.org
Subject: Bug#652826: fixed in logkeys 0.1.1a-3
Date: Sat, 03 Mar 2012 23:50:26 +0000
Source: logkeys
Source-Version: 0.1.1a-3

We believe that the bug you reported is fixed in the latest version of
logkeys, which is due to be installed in the Debian FTP archive:

logkeys_0.1.1a-3.debian.tar.gz
  to main/l/logkeys/logkeys_0.1.1a-3.debian.tar.gz
logkeys_0.1.1a-3.dsc
  to main/l/logkeys/logkeys_0.1.1a-3.dsc
logkeys_0.1.1a-3_amd64.deb
  to main/l/logkeys/logkeys_0.1.1a-3_amd64.deb
logkeys_0.1.1a.orig.tar.gz
  to main/l/logkeys/logkeys_0.1.1a.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652826@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vedran Furač <vedran.furac@gmail.com> (supplier of updated logkeys package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Jan 2012 01:07:54 +0100
Source: logkeys
Binary: logkeys
Architecture: source amd64
Version: 0.1.1a-3
Distribution: unstable
Urgency: low
Maintainer: Vedran Furač <vedran.furac@gmail.com>
Changed-By: Vedran Furač <vedran.furac@gmail.com>
Description: 
 logkeys    - keylogger for GNU/Linux systems
Closes: 652826
Changes: 
 logkeys (0.1.1a-3) unstable; urgency=low
 .
   * Fix "missing dependency on kbd | console-tools" (Closes: #652826)
Checksums-Sha1: 
 55c360c8aeb5d17758b4b9db0498900b8ba16426 1756 logkeys_0.1.1a-3.dsc
 aa5b9b2054dce41f3ef6a5ae95b13a5b0797575e 109568 logkeys_0.1.1a.orig.tar.gz
 4df6298acfbd7424418d8bb2da12c4d444a77d15 3717 logkeys_0.1.1a-3.debian.tar.gz
 014198a47002f9b58221b466d31e5e4be2615aec 33904 logkeys_0.1.1a-3_amd64.deb
Checksums-Sha256: 
 1dd36ef30aff0b2fc2dda691b2a89d09348b91fa3aeace9c0d440d59120b6d7b 1756 logkeys_0.1.1a-3.dsc
 aac0243ade9bed3d57ae94e608f5a77a4e43ab7f11c7e762c7ff1eaeb5293ea4 109568 logkeys_0.1.1a.orig.tar.gz
 35477ddb4caa5a322f95db8db50691ac70d4413b34e07b473a969fe0e59e4b13 3717 logkeys_0.1.1a-3.debian.tar.gz
 562dafa0bbb300598d8a5d6cd8af595ba3f921ccb74031d3b06378d3ea761c6b 33904 logkeys_0.1.1a-3_amd64.deb
Files: 
 0c0bbf5f7cbfe459a42ce028b0856b71 1756 admin optional logkeys_0.1.1a-3.dsc
 19362a382b65e89c66ea4c5642297589 109568 admin optional logkeys_0.1.1a.orig.tar.gz
 e4487c10b7fd43984a464061df2b9329 3717 admin optional logkeys_0.1.1a-3.debian.tar.gz
 39375525ab509947cad7d998b1e55f13 33904 admin optional logkeys_0.1.1a-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPUqlWAAoJEFOUR53TUkxRT+cP/2Cn/1iFnQ5YPa+USNpEzqdY
x1CrFwco/v15RCiXyJUre19H2mWDldEZTUVVCacLawu9WisSa7/LRd1OYYvYaNgv
2LK3lE48QhH4G7efMeX6TlhTgIKumk95O9w1hLCNNYFJtv4sww7HMlQ+pr4Gj+CH
O62GTBGe/2nQbxj8lZEBvBSpw6sTRpMWIIZj04AawyiXcT4/MFGucknJVqg9tNn+
KmQWBE1ADlTwY25zvdMfxVHGZVlRYsAJTUAtdz9URlh4Q6Zr4iMCALlKXeRt7tJn
ljekD1BRvjF7qJMPpsGEdPoXMbD2Mg7XCQ7bi8cip6jnB569mseVeQiDTnzgZHQr
hOMpQo0ke8etYswWVI1hkXetjm2s/4ab7QMDplzJTQobkmwydQcVjJsxrv8yjssU
R2vrszF48ctS3CRo2eBfV9yVAX0DY2NaqetiZ5HgLBhFxW0w5vqRE0RgZ1uCEimD
prhIMcWcxATyNAK07hmyuAca/pzaBcdiDPLwwmh4+qKjfEHYRvb0f8VjW7jUj4rw
LuUSem+MDvuymguq8lrZD0n1s3vFJPdAF7/4vJqRpGsgwJwuXwDqMyKGm0KNgfpu
qiuhITmFXth/dS74nRxHGyGxjtgH/eBIQPnet5du9NjoCKn6OD/FB/jTFehyl68Y
YH/kPUN8NakdJdKcAlBX
=XkTQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Dec 2013 07:27:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:44:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.